package com.bonus.canteen.core.order.deprecated.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.CustomLocalDateConverter;
import com.bonus.canteen.core.customer.constants.OrderTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@LeNiuDecryptDataProcess
public class OrderDetailSumGetVO {
   @ExcelProperty(
      value = {"订单类型"},
      order = 0,
      converter = OrderTypeEnum.ExcelConvertor.class
   )
   private Integer orderType;
   @ExcelIgnore
   private Long areaId;
   @ExcelProperty(
      value = {"所属区域"},
      order = 2
   )
   private String areaName;
   @ApiModelProperty("所属食堂")
   @ExcelProperty(
      value = {"食堂"},
      order = 3
   )
   private String canteenName;
   @ApiModelProperty("所属档口")
   @ExcelProperty(
      value = {"档口"},
      order = 4
   )
   private String shopstallName;
   @ApiModelProperty("就餐日期 yyyy-MM-dd")
   @ExcelProperty(
      value = {"就餐日期"},
      order = 1,
      converter = CustomLocalDateConverter.class
   )
   private LocalDate ordGoodsDate;
   @ApiModelProperty("餐次id")
   @ExcelIgnore
   private Long intervalId;
   @ApiModelProperty("餐次名称")
   @ExcelProperty(
      value = {"餐次"},
      order = 2
   )
   private String intervalName;
   @ApiModelProperty("商品id")
   @ExcelIgnore
   private Long goodsId;
   @ApiModelProperty("菜品名称")
   @ExcelProperty(
      value = {"菜品名称"},
      order = 5
   )
   private String goodsName;
   @ApiModelProperty("数量/重量")
   @ExcelProperty(
      value = {"数量"},
      order = 6
   )
   private Integer quantity;
   @ApiModelProperty("订餐员id")
   private Long userId;
   @ApiModelProperty("订餐员名称")
   @ExcelProperty(
      value = {"订餐员"},
      order = 8
   )
   @LeNiuDecryptField
   private String username;
   @ApiModelProperty("计量单位")
   private Integer salesMode;

   public Integer getOrderType() {
      return this.orderType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public LocalDate getOrdGoodsDate() {
      return this.ordGoodsDate;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public String getIntervalName() {
      return this.intervalName;
   }

   public Long getGoodsId() {
      return this.goodsId;
   }

   public String getGoodsName() {
      return this.goodsName;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getUsername() {
      return this.username;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public void setOrderType(final Integer orderType) {
      this.orderType = orderType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setOrdGoodsDate(final LocalDate ordGoodsDate) {
      this.ordGoodsDate = ordGoodsDate;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setIntervalName(final String intervalName) {
      this.intervalName = intervalName;
   }

   public void setGoodsId(final Long goodsId) {
      this.goodsId = goodsId;
   }

   public void setGoodsName(final String goodsName) {
      this.goodsName = goodsName;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

}
